### Method

# Gtk CenterBoxset_baseline_position

#### Declaration [src]

    void
    gtk_center_box_set_baseline_position (
      GtkCenterBox* self,
      GtkBaselinePosition position
    )

#### Description [src]

Sets the baseline position of a center box.

This affects only horizontal boxes with at least one baseline aligned child. If there is more vertical space available than requested, and the baseline is not allocated by the parent then `position` is used to allocate the baseline wrt. the extra space available.

Sets property | `Gtk.CenterBox:baseline-position`

#### Parameters

`position`

  Type: `GtkBaselinePosition`

  A `GtkBaselinePosition`